package com.realnet.forma.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.forma.Entity.Premium;
import com.realnet.forma.Services.PremiumService ;








@RequestMapping(value = "/token/Premium")
 @CrossOrigin("*") 
@RestController
public class tokenFree_PremiumController {
	@Autowired
	private PremiumService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Premium")
		  public Premium Savedata(@RequestBody Premium data) {
		Premium save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Premium/{id}")
	public  Premium update(@RequestBody Premium data,@PathVariable Integer id ) {
		Premium update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Premium/getall/page")
	public Page<Premium> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Premium> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Premium")
	public List<Premium> getdetails() {
		 List<Premium> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Premium")
	public List<Premium> getallwioutsec() {
		 List<Premium> get = Service.getdetails();		
		return get;
}
@GetMapping("/Premium/{id}")
	public  Premium  getdetailsbyId(@PathVariable Integer id ) {
		Premium  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Premium/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}